Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.server
Class RequestProcessorFactoryFactory.StatelessProcessorFactoryFactory

    java.lang.Object
      org.apache.xmlrpc.server.RequestProcessorFactoryFactory.StatelessProcessorFactoryFactory

All Implemented Interfaces:
  RequestProcessorFactoryFactory

Enclosing interface:
  RequestProcessorFactoryFactory

    public static class RequestProcessorFactoryFactory.StatelessProcessorFactoryFactory

extends java.lang.Object
implements RequestProcessorFactoryFactory

This is an alternative implementation of `RequestProcessorFactoryFactory`. It creates stateless request processors, which are able to process concurrent requests without request specific initialization.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.xmlrpc.server.RequestProcessorFactoryFactory
`RequestProcessorFactoryFactory.RequestProcessorFactory, RequestProcessorFactoryFactory.RequestSpecificProcessorFactoryFactory, RequestProcessorFactoryFactory.StatelessProcessorFactoryFactory`

Constructor Summary
`RequestProcessorFactoryFactory.StatelessProcessorFactoryFactory()`

Method Summary
`protected java.lang.Object` | `getRequestProcessor(java.lang.Class pClass)` Subclasses may override this method for class specific configuration.
`RequestProcessorFactoryFactory.RequestProcessorFactory` | `getRequestProcessorFactory(java.lang.Class pClass)` This method is invoked at startup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestProcessorFactoryFactory.StatelessProcessorFactoryFactory

    public RequestProcessorFactoryFactory.StatelessProcessorFactoryFactory()

Method Detail

### getRequestProcessor

    protected java.lang.Object getRequestProcessor(java.lang.Class pClass)
                                            throws XmlRpcException

  Subclasses may override this method for class specific configuration. Note, that this method will be called at startup only! A typical subclass will look like this:

         public class MyRequestProcessorFactoryFactory
                 extends StatelessProcessorFactoryFactory {
             protected Object getRequestProcessor(Class pClass) {
                 Object result = super.getRequestProcessor(pClass);
                 // Configure the object here
                 ...
                 return result;
             }
         }

  Throws:
    `XmlRpcException`

### getRequestProcessorFactory

    public RequestProcessorFactoryFactory.RequestProcessorFactory getRequestProcessorFactory(java.lang.Class pClass)
                                                                                      throws XmlRpcException

  Description copied from interface: `RequestProcessorFactoryFactory`
  This method is invoked at startup. It creates a factory for instances of `pClass`.

  Specified by:
    `getRequestProcessorFactory` in interface `RequestProcessorFactoryFactory`
  Throws:
    `XmlRpcException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.